#include <stdio.h>
#include <string.h>
#include "2pmain.h"

main(argc, argv)
int argc;
char *argv[];
{
  char *fname_in, *fname_out, *pos;
  char line[MAX_CHARS_PL], key[10], data[MAX_CHARS_PL];
  FILE *inFile, *outFile;
  int ch, i, ne, nh, np;
  double p[MAX_VARS_PS];
  unsigned int e[MAX_VARS_PS], h[MAX_VARS_PS];

  if (argc>2)
  {
    fname_in = argv[1];
    fname_out = argv[2];
  }
  else
  {
    printf("\nsyntax: abcdaq2paw fname_in fname_out\n");
   
	/* return (0); */

    fname_in = "test.dat";
    fname_out = "test.ntp";
  }
	
  if ( (inFile=fopen(fname_in,"r")) == NULL)
  {
    printf("\nCould not open input file: %s\n", fname_in);
    return (0);
  }
  if ( (outFile=fopen(fname_out,"w")) == NULL)
  {
    printf("\nCould not open output file: %s\n", fname_out);
    return (0);
  }

  i=0;
  while ((fgets(line, MAX_CHARS_PL, inFile) != NULL) && (i<3))
  {
    i++;
	if(line[0] != '#')
	{      
	  if ( (pos = strchr(line, 's')) !=NULL)
	  {
        sscanf (line, "%s", key);
		strcpy (data, pos+1);
		printf ("\n%s:%s", key, data);
		if(strcmp(key,"points")==0)
		{
          np = sscanf (data, " %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf",
			&p[0], &p[1], &p[2], &p[3], &p[4], &p[5], &p[6], &p[7], &p[8], &p[9],
			&p[10],&p[11],&p[12],&p[13],&p[14],&p[15],&p[16],&p[17],&p[18],&p[19],
			&p[20],&p[21],&p[22],&p[23],&p[24],&p[25],&p[26],&p[27],&p[28],&p[29],
			&p[30],&p[31],&p[32],&p[33],&p[34],&p[35],&p[36],&p[37],&p[38],&p[39],
			&p[40],&p[41],&p[42],&p[43],&p[44],&p[45],&p[46],&p[47],&p[48],&p[49],
			&p[50],&p[51],&p[52],&p[53],&p[54],&p[55],&p[56],&p[57],&p[58],&p[59],
			&p[60],&p[61],&p[62],&p[63],&p[64],&p[65],&p[66],&p[67],&p[68],&p[69],
			&p[70],&p[71],&p[72],&p[73],&p[74],&p[75],&p[76],&p[77],&p[78],&p[79],
			&p[80],&p[81],&p[82],&p[83],&p[84],&p[85],&p[86],&p[87],&p[88],&p[89],
			&p[90],&p[91],&p[92],&p[93],&p[94],&p[95],&p[96],&p[97],&p[98],&p[99]);
          printf ("\n%d 'points' records found, %f %f  %f\n", np, p[0], p[1], p[2]);
		}
		if(strcmp(key,"events")==0)
		{
          ne = sscanf (data, " %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu",
			&e[0], &e[1], &e[2], &e[3], &e[4], &e[5], &e[6], &e[7], &e[8], &e[9],
			&e[10],&e[11],&e[12],&e[13],&e[14],&e[15],&e[16],&e[17],&e[18],&e[19],
			&e[20],&e[21],&e[22],&e[23],&e[24],&e[25],&e[26],&e[27],&e[28],&e[29],
			&e[30],&e[31],&e[32],&e[33],&e[34],&e[35],&e[36],&e[37],&e[38],&e[39],
			&e[40],&e[41],&e[42],&e[43],&e[44],&e[45],&e[46],&e[47],&e[48],&e[49],
			&e[50],&e[51],&e[52],&e[53],&e[54],&e[55],&e[56],&e[57],&e[58],&e[59],
			&e[60],&e[61],&e[62],&e[63],&e[64],&e[65],&e[66],&e[67],&e[68],&e[69],
			&e[70],&e[71],&e[72],&e[73],&e[74],&e[75],&e[76],&e[77],&e[78],&e[79],
			&e[80],&e[81],&e[82],&e[83],&e[84],&e[85],&e[86],&e[87],&e[88],&e[89],
			&e[90],&e[91],&e[92],&e[93],&e[94],&e[95],&e[96],&e[97],&e[98],&e[99]);
		  printf ("\n%d 'events' records found, %u %u %u ...\n", np, e[0], e[1], e[2]);
		}
	  }
	}
  }

  while (fgets(line, MAX_CHARS_PL, inFile) != NULL)
  {
    /* Assume all lines will now be data */
    nh = sscanf (line, "%d %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu %lu",
			&ch, &h[0], &h[1], &h[2], &h[3], &h[4], &h[5], &h[6], &h[7], &h[8], &h[9],
			&h[10],&h[11],&h[12],&h[13],&h[14],&h[15],&h[16],&h[17],&h[18],&h[19],
			&h[20],&h[21],&h[22],&h[23],&h[24],&h[25],&h[26],&h[27],&h[28],&h[29],
			&h[30],&h[31],&h[32],&h[33],&h[34],&h[35],&h[36],&h[37],&h[38],&h[39],
			&h[40],&h[41],&h[42],&h[43],&h[44],&h[45],&h[46],&h[47],&h[48],&h[49],
			&h[50],&h[51],&h[52],&h[53],&h[54],&h[55],&h[56],&h[57],&h[58],&h[59],
			&h[60],&h[61],&h[62],&h[63],&h[64],&h[65],&h[66],&h[67],&h[68],&h[69],
			&h[70],&h[71],&h[72],&h[73],&h[74],&h[75],&h[76],&h[77],&h[78],&h[79],
			&h[80],&h[81],&h[82],&h[83],&h[84],&h[85],&h[86],&h[87],&h[88],&h[89],
			&h[90],&h[91],&h[92],&h[93],&h[94],&h[95],&h[96],&h[97],&h[98],&h[99]);

	nh--;
	for (i = 0; i<nh; i++)
	{
		fprintf(outFile, "%4d %.3f %lu %lu\n", ch, (float)p[i], e[i], h[i]);
	}

  }
	fclose(inFile);
	fclose(outFile);

	return(0);

} 